> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cyrisma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Convert Consulting To Standard Endpoint

> This endpoint will convert a consulting instance to a standard instance under your partner account.

**Note:**
- Conversion from Consulting to Managed is a one way operation. Managed instances cannot be converted back to consulting. 


Required headers:

- `Authorization: access_token {token}`



## OpenAPI

````yaml openapi.json patch /partner/instances/convert
openapi: 3.1.0
info:
  title: Cyrisma Partner API
  description: >-
    Cyrisma partner API assists organizations that use the Cyrisma risk
    management platform to further automate and enhance overall risk management.
    The API provides provisioning and reporting features meaning that
    deployments can be automated and scan data can be retrieved for further
    aggregation and reporting. The API will enable the setup of new partners and
    instances, review of partner and instance status and utilization, and
    management of partners through their lifecycle.  Access to Cyrisma risk
    management is based on a foundation of secure API access token
    authentication and identity management.
  version: v1
servers: []
security: []
paths:
  /partner/instances/convert:
    patch:
      tags:
        - Instances
      summary: Convert Consulting To Standard Endpoint
      description: "This endpoint will convert a consulting instance to a standard instance under your partner account.\r\n\r\n**Note:**\r\n- Conversion from Consulting to Managed is a one way operation. Managed instances cannot be converted back to consulting. \r\n\r\n\r\nRequired headers:\r\n\r\n- `Authorization: access_token {token}`"
      operationId: ConvertConsultingToStandard
      parameters:
        - name: Authorization
          in: header
          schema:
            type: string
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                instance_id:
                  title: Instance Id
                  type: string
                  description: >-
                    ID of the organization under conversion from Consulting to
                    Standard instance.
            encoding:
              instance_id:
                style: form
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConvertInstanceJson'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorJson'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorJson'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorJson'
components:
  schemas:
    ConvertInstanceJson:
      title: Convert Instance JSON
      type: object
      properties:
        instance_id:
          title: Instance ID
          type:
            - string
            - 'null'
          description: The unique identifier for the instance.
        name:
          title: Name
          type:
            - string
            - 'null'
          description: The name of the instance.
        consulting_status:
          title: Consulting Status
          type:
            - string
            - 'null'
          description: The consulting status of the instance.
      additionalProperties: false
      description: Represents the JSON structure for converting an instance.
    ErrorJson:
      title: Error Response
      type: object
      properties:
        error:
          title: Error Code
          type:
            - string
            - 'null'
          description: The error code representing the type of error.
        error_description:
          title: Error Description
          type:
            - string
            - 'null'
          description: A detailed description of the error.
      additionalProperties: false
      description: Represents an error response with error code and description.

````